<p-panel>
  <div class="grid">
    <div class="col">
      <coin [coinValue]="coins[0]" (coinClick)="coinClick(0, $event)"></coin>
    </div>
    <div class="col">
      <coin [coinValue]="coins[1]" (coinClick)="coinClick(1, $event)"></coin>
    </div>
    <div class="col">
      <coin [coinValue]="coins[2]" (coinClick)="coinClick(2, $event)"></coin>
    </div>
  </div>
  <div class="grid">
    <div *ngIf="isHexDefined()" class="col">
      <button pButton (click)="clearHex()">Clear HEX</button>
    </div>
    <div *ngIf="!isHexDefined()" class="col">
      <button pButton (click)="setHexLine()">Set HEX Line</button>
    </div>
  </div>
  <div class="grid">
    <div class="col">
      <div>
        <hex-line *ngIf="currentHexSums[5] !== 0" [hexValue]="currentHexSums[5]"></hex-line>
      </div>
      <div>
        <hex-line *ngIf="currentHexSums[4] !== 0" [hexValue]="currentHexSums[4]"></hex-line>
      </div>
      <div>
        <hex-line *ngIf="currentHexSums[3] !== 0" [hexValue]="currentHexSums[3]"></hex-line>
      </div>
      <div>
        <hex-line *ngIf="currentHexSums[2] !== 0" [hexValue]="currentHexSums[2]"></hex-line>
      </div>
      <div>
        <hex-line *ngIf="currentHexSums[1] !== 0" [hexValue]="currentHexSums[1]"></hex-line>
      </div>
      <div>
        <hex-line *ngIf="currentHexSums[0] !== 0" [hexValue]="currentHexSums[0]"></hex-line>
      </div>
    </div>
  </div>
</p-panel>
